Subject: dselect --- It was: Re[2]: Is buzz-fixed?

From: [email-masked]
Date: Mon, 29 Jul 96 20:46:11 cet

I changed the subject of this posting because I want to  follow this 
thread now:

On 29.07.96 17:27 Jim <[email-masked]> writes:
>Subject: Re: Is buzz-fixed (<- stable<- Debian-1.1.x <- Debian ) FIXE
> ..
>>> ...
>>> Lazaro
>>> P.S. It would be nice to have quickstart guide at hand to help Debian
>>> newcomers to understand/use dselect. Any idea? 
>>
>>The main screen is quite informative, in the select option one can get
>>keystrokes help and that's all you need to know (IMHO, but ok I'm 
>>working with it for months now).
>>
>>Erick
>>
>
> I am a Debian newcomer (not a Linux newcomer, came over from slackware) 
> and thought the dselect was very overwhelming the first 5 minutes, 
> less overwhelming after the first hour, and figured it out with the 
> onscreen help texts after a few. 

Agreed. I am thinking in those first 5', ...although, I must confess, 
it took me longer to feel at ease with dselect :-) 

> MUCH more powerful than anything slackware has. 
Of course. That's why I asked for a pointer to a dselect's quickstart-
like guide, ...and not a pointer to a Slackawre mirror :-). 

IMHO those 5' _may_ frighten many potential Debian users. I agree 
that you get used to it,... and even love it! But be honest, 
and try to remember how did you feel about using Slackware's "setup" 
the first 5'`? Now compare it to your dselect 1st experience. 

I know that may be very difficult to have both a catchy interface 
and a powerful packaging system, but is not impossible. It just requires 
work. From what I heard many will agree that "dselect can be (and is) 
overwhelming at first". It might be then useful to make explicit that 
not so nice feeling and contribute with our feedback to the project.

Some questions could help us in the process:

- Where were you expecting to find this particular function?  
- What was there, where you didn't expected it to be? 
- What were you waiting to get when typing that key?
and more generally:
- What was confusing with dselect during those 5'? 
and so on... 

Here is a list with what I recall from my first experience using dselect:

1) I didn't feel the need (as a newcomer I was) to have so many  
possibilities to choose the menu options by three different methods 
(letters, numbers, and cursor keys). Having at most two (keep the cursor 
keys and numbers please :) would have made it much simpler _to_ME_ as a 
1st time user. After those 5', I know that those 3 possibilities exist, 
but... who cares, I use always the same one, as probably you do. 
Somebody will argue that "flexibiity is a strong features for advanced 
users" I would answer that power users would use dpkg instead. That's 
the whole point of dselect: hide the "complexities" (powerfull features) 
of dpkg under a front-end, namely, dselect.

2) The <Help> function may be an exception (leave as many routes to it 
as possible) as many (DOS->Linux converted) might be used to have help 
on <F1> so ... why not? it won't hurt, and it is unobtrusive for those 
who don't want to use it. The installation Menu of Debian offers it 
there and it is nice to find things where we expect them to be.

3) Another one: When proceeding with the installation (I don't remeber 
if it is  the same when removing packages) the message 

   Skipping unselected <packagename> ...
   Skipping unselected <packagename> ...

scrolls on my screen with a long list. It takes a lot of time 
(i/o from/to screen is slow, remeber?) and I can hear dselect 
accessing my HD intermitently (=slow). What about suppressing that 
printing which doesn't give _me_ any useful information. Again it may 
give information _to_you_, but remeber, you are not a 1st time user.
A --verbose option if you like could be handy (I haven't check in 
fact).  A compromise would be to print the whole list of the 
unselected packages at the beggining/end of the main proper 
installation process.

4) This last one is really trivial and more of style concern. 
In the openning screen I would expect the name and version number 
of dselect at the top line (one line), maybe the copyright info 
below and all that well separated from the following Main menu. 
Presently the name is at the top, then the Menu,  and after it the 
name and version again. 
You could say: "Why? What's wrong with the present placement of those 
strings? and you have the nice colors too!!".
I could give you _my_own_good_reason (I think I have one in fact) but 
that may not suite you. The idea behind what I am saying is: let's not 
argue about dselect (there is a alt.dselect.advocacy for that purpose 
:)  
I just want to see if we can agree on why "this" or "that" 
style|feature makes dselect look overwhelming during those first 5'. 
It shouldn't be difficult since many will agree on that 1st 
impression.  

-- I think these four comments are enough to begin.

An then... what? well...if most of the users agree that "this 
particular feature of dselect" is confusing, it wouldn't be difficult 
for Ian (or even a volunteer) fix that? The idea, I repeat, is try to 
see if we can help to make a dselect as simple as possible for new 
users. Maybe we could come with some suggestions/ideas about how to 
make it more sex-appealing :-) Ian....are you listening....

Maybe there is already a wishlist in the doc (I think I saw one for 
dpkg). I am not on Linux box now... can anybody check please? Maybe 
this things were already discussed.

I just read a follow-up to this thread from: 
> Dirk Eddelb"uttel  <http://qed.econ.queensu.ca/~edd>
He says
>Don't worry, took me much longer to become at ease with dselect 
> --- but then I started with meaner versions :-) It is a truly 
> amazing piece of work. If only we could get some documentation 
> for newbies ...

Precisely. Add now: If we could only polish some few edges... 
I do believe so.

Lazaro 

--
Lazaro D. Salem                   E-mail: [email-masked]
RF-Rogaland Research               Phone: +47 51 87 50 00
P.O.Box 2503, Ullandhaug          Direct: +47 51 87 50 65
N-4004 Stavanger, NORWAY             Fax: +47 51 87 52 00